By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
443,996 Members | 1,343 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 443,996 IT Pros & Developers. It's quick & easy.

Re: Invalid Version Number (Distutils from Cygwin)

P: n/a
On Sat, Jun 07, 2008 at 05:34:21PM -0700, newbie73 wrote:
[snip]
I'm attempting to build a project (FANN libraries) using cygwin (to
avoid installing MSVC 2003) and am receiving this error:

Traceback (most recent call last):
[snip]
ValueError: invalid version number '2.18.50.20080523'
The above is a known issue:

http://bugs.python.org/issue2234

Unfortunately, resolution of this issue has stalled.

Additionally, someone posted a different regular expression to the
Cygwin list that is suppose to handle more cases of ld version strings:

http://cygwin.com/ml/cygwin/2008-05/msg00622.html

Can we reach consensus on what is the best ld version string regular
expression to use? If so, then I will work to get this change committed
to the Python code base and release a patched Cygwin Python 2.5.2 with
this fix included.

Thanks,
Jason

--
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D 8784 1AFD E4CC ECF4 8EF6
Jun 27 '08 #1
Share this question for a faster answer!
Share on Google+

This discussion thread is closed

Replies have been disabled for this discussion.